import $http from '@/common/request.js';
import config from '@/config';
function getCompmayUsers() {
  return $http({
    url: `/user/companyUsers`,
    method: 'GET',
  });
}

// 获取用户信息
function getUserInfo(params) {
  return $http({
    url: '/user/info',
    method: 'GET',
    data: JSON.stringify(params)
  });
}

function setWxAuthUserInfo(params) {
  return $http({
    url: '/user/wxAuthInfo',
    method: 'POST',
    data: JSON.stringify(params)
  });
  // return Promise.resolve()
}

function login(params) {
  return $http({
    url: `${config.duoduoenvService}userNew/wechat/login`,
    method: 'POST',
    data: JSON.stringify(params)
  })
}

// duoduo-service/duoduoenv-service/userNew/wechat/register
// 注册
function register(params) {
  return $http({
    url: `${config.duoduoenvService}userNew/wechat/register`,
    method: 'POST',
    data: JSON.stringify(params)
  })
}




export {
  getCompmayUsers,
  getUserInfo,
  login
}